Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans.factory.serviceloader
Class AbstractServiceLoaderBasedFactoryBean

    java.lang.Object
      org.springframework.beans.factory.config.AbstractFactoryBean
          org.springframework.beans.factory.serviceloader.AbstractServiceLoaderBasedFactoryBean

All Implemented Interfaces:
  Aware, BeanClassLoaderAware, BeanFactoryAware, DisposableBean, FactoryBean, InitializingBean

Direct Known Subclasses:
  ServiceFactoryBean, ServiceListFactoryBean, ServiceLoaderFactoryBean

    public abstract class AbstractServiceLoaderBasedFactoryBean

extends AbstractFactoryBean
implements BeanClassLoaderAware

Abstract base class for FactoryBeans operating on the JDK 1.6 `ServiceLoader` facility.

Since:
  2.5
Author:
  Juergen Hoeller
See Also:
  `ServiceLoader`

Field Summary

Fields inherited from class org.springframework.beans.factory.config.AbstractFactoryBean
`logger`

Constructor Summary
`AbstractServiceLoaderBasedFactoryBean()`

Method Summary
`protected java.lang.Object` | `createInstance()` Delegates to `getObjectToExpose(java.util.ServiceLoader)`.
`protected abstract java.lang.Object` | `getObjectToExpose(java.util.ServiceLoader serviceLoader)` Determine the actual object to expose for the given ServiceLoader.
`java.lang.Class` | `getServiceType()` Return the desired service type.
`void` | `setBeanClassLoader(java.lang.ClassLoader beanClassLoader)` Callback that supplies the bean `class loader` to a bean instance.
`void` | `setServiceType(java.lang.Class serviceType)` Specify the desired service type (typically the service's public API).

Methods inherited from class org.springframework.beans.factory.config.AbstractFactoryBean
`afterPropertiesSet, destroy, destroyInstance, getBeanFactory, getBeanTypeConverter, getEarlySingletonInterfaces, getObject, getObjectType, isSingleton, setBeanFactory, setSingleton`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractServiceLoaderBasedFactoryBean

    public AbstractServiceLoaderBasedFactoryBean()

Method Detail

### setServiceType

    public void setServiceType(java.lang.Class serviceType)

  Specify the desired service type (typically the service's public API).

### getServiceType

    public java.lang.Class getServiceType()

  Return the desired service type.

### setBeanClassLoader

    public void setBeanClassLoader(java.lang.ClassLoader beanClassLoader)

  Description copied from interface: `BeanClassLoaderAware`
  Callback that supplies the bean `class loader` to a bean instance.

  Invoked after the population of normal bean properties but before an initialization callback such as `InitializingBean's` `InitializingBean.afterPropertiesSet()` method or a custom init-method.

  Specified by:
    `setBeanClassLoader` in interface `BeanClassLoaderAware`
  Overrides:
    `setBeanClassLoader` in class `AbstractFactoryBean`
  Parameters:
    `beanClassLoader` - the owning class loader; may be `null` in which case a default `ClassLoader` must be used, for example the `ClassLoader` obtained via `ClassUtils.getDefaultClassLoader()`

### createInstance

    protected java.lang.Object createInstance()

  Delegates to `getObjectToExpose(java.util.ServiceLoader)`.

  Specified by:
    `createInstance` in class `AbstractFactoryBean`
  Returns:
    the object to expose
  See Also:
    `AbstractFactoryBean.getObject()`

### getObjectToExpose

    protected abstract java.lang.Object getObjectToExpose(java.util.ServiceLoader serviceLoader)

  Determine the actual object to expose for the given ServiceLoader.

  Left to concrete subclasses.

  Parameters:
    `serviceLoader` - the ServiceLoader for the configured service class
  Returns:
    the object to expose

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD